### Constructor

# Gsk ComponentTransferNode new

since: 4.20

#### Declaration [src]

    GskRenderNode*
    gsk_component_transfer_node_new (
      GskRenderNode* child,
      const GskComponentTransfer* r,
      const GskComponentTransfer* g,
      const GskComponentTransfer* b,
      const GskComponentTransfer* a
    )

#### Description [src]

Creates a render node that will apply component transfers to a child node.

Available since: 4.20

#### Parameters

`child`

  Type: `GskRenderNode`

  The child to apply component transfers to.

  The data is owned by the caller of the function.

`r`

  Type: `GskComponentTransfer`

  Transfer for the red component.

  The data is owned by the caller of the function.

`g`

  Type: `GskComponentTransfer`

  Transfer for the green component.

  The data is owned by the caller of the function.

`b`

  Type: `GskComponentTransfer`

  Transfer for the blue component.

  The data is owned by the caller of the function.

`a`

  Type: `GskComponentTransfer`

  Transfer for the alpha component.

  The data is owned by the caller of the function.

#### Return value

Type: `GskComponentTransferNode`

A new `GskRenderNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.